/**
 * @file Window.h
 * @author apio (cloudapio.eu)
 * @brief UI window dialogs.
 *
 * @copyright Copyright (c) 2024, the Luna authors.
 *
 */

#pragma once
#include <luna/Action.h>
#include <ui/Window.h>

namespace ui
{
    namespace Dialog
    {
        Result<void> show_message(StringView title, StringView message);

        Result<void> show_input_dialog(StringView title, StringView message, Function<StringView> callback);
    }
}
